Name:          libjcat
Version:       0.2.3
Release:       1mamba
Summary:       Library which allows reading and writing gzip-compressed JSON catalog files
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/hughsie/libjcat
Source:        https://github.com/hughsie/libjcat.git/%{version}/libjcat-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libgnutls-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgpgme-devel
BuildRequires: libjson-glib-devel
## AUTOBUILDREQ-END
BuildRequires: scons

%description
This library allows reading and writing gzip-compressed JSON catalog files, which can be used to store GPG, PKCS-7 and SHA-256 checksums for each file.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         Applications/Archiving
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.


%prep
%setup -q

%build
%meson
%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_libdir}/libjcat.so.*
%{_libdir}/girepository-1.0/Jcat-1.0.typelib
%doc LICENSE

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libjcat-1
%{_includedir}/libjcat-1/jcat.h
%dir %{_includedir}/libjcat-1/libjcat
%{_includedir}/libjcat-1/libjcat/*
%{_libdir}/libjcat.so
%dir %{_libexecdir}/installed-tests/libjcat
%{_libexecdir}/installed-tests/libjcat/*
%dir %{_datadir}/installed-tests/libjcat
%{_datadir}/installed-tests/libjcat/*
%{_datadir}/gir-1.0/Jcat-1.0.gir
%{_datadir}/vala/vapi/jcat.deps
%{_datadir}/vala/vapi/jcat.vapi
%{_libdir}/pkgconfig/jcat.pc
%doc NEWS README.md

%files tools
%defattr(-,root,root)
%{_bindir}/jcat-tool
%{_mandir}/man1/jcat-tool.1*

%changelog
* Tue Feb 04 2025 Automatic Build System <autodist@openmamba.org> 0.2.3-1mamba
- automatic version update by autodist

* Tue Oct 15 2024 Automatic Build System <autodist@openmamba.org> 0.2.2-1mamba
- automatic version update by autodist

* Fri Jan 26 2024 Automatic Build System <autodist@openmamba.org> 0.2.1-1mamba
- automatic version update by autodist

* Tue Jan 02 2024 Automatic Build System <autodist@mambasoft.it> 0.2.0-1mamba
- automatic version update by autodist

* Mon Jun 12 2023 Automatic Build System <autodist@mambasoft.it> 0.1.14-1mamba
- automatic version update by autodist

* Fri Feb 24 2023 Automatic Build System <autodist@mambasoft.it> 0.1.13-1mamba
- automatic version update by autodist

* Mon Sep 12 2022 Automatic Build System <autodist@mambasoft.it> 0.1.12-1mamba
- automatic version update by autodist

* Sat Apr 16 2022 Automatic Build System <autodist@mambasoft.it> 0.1.11-1mamba
- automatic version update by autodist

* Fri Feb 18 2022 Automatic Build System <autodist@mambasoft.it> 0.1.10-1mamba
- automatic version update by autodist

* Mon Nov 29 2021 Automatic Build System <autodist@mambasoft.it> 0.1.9-1mamba
- automatic version update by autodist

* Wed May 26 2021 Automatic Build System <autodist@mambasoft.it> 0.1.8-1mamba
- automatic version update by autodist

* Fri May 07 2021 Automatic Build System <autodist@mambasoft.it> 0.1.7-1mamba
- automatic version update by autodist

* Thu Feb 11 2021 Automatic Build System <autodist@mambasoft.it> 0.1.6-1mamba
- automatic version update by autodist

* Tue Jan 12 2021 Automatic Build System <autodist@mambasoft.it> 0.1.5-1mamba
- automatic version update by autodist

* Sat Jan 02 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.4-1mamba
- package created using the webbuild interface
